<!DOCTYPE html>
<html lang="en">

<head>
    <% include ../_head %>
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.13.2/css/bootstrap-select.min.css">
    <link rel="stylesheet" type="text/css" href="/css/modifier_exercice.css">
    <style>
        body {
            font-family: sans-serif;
            font-size: 15px;
        }


        .tree {
            transform: rotate(180deg);
            transform-origin: 50%;
        }

        .tree ul, .intruders ul {
            position: relative;
            padding: 1em 0;
            white-space: nowrap;
            margin: 0 auto;
            text-align: center;
        }

        .tree ul:after, .intruders ul:after {
            content: '';
            display: table;
            clear: both;
        }

        .tree li, .intruders li {
            display: inline-block;
            vertical-align: top;
            text-align: center;
            list-style-type: none;
            position: relative;
            padding: 1em .5em 0 .5em;
        }

        .tree li:before,
        .tree li:after,
        .intruders li:before,
        .intruders li:after {
            content: '';
            position: absolute;
            top: 0;
            right: 50%;
            border-top: 1px solid #ccc;
            width: 50%;
            height: 1em;
        }

        .tree li:after, .intruders li:after {
            right: auto;
            left: 50%;
            border-left: 1px solid #ccc;
        }

        .tree li:only-child::after,
        .tree li:only-child::before,
        .intruders li:only-child::after,
        .intruders li:only-child::before {
            display: none;
        }

        .tree li:only-child,
        .intruders li:only-child {
            padding-top: 0;
        }

        .tree li:first-child::before,
        .tree li:last-child::after,
        .intruders li:first-child::before,
        .intruders li:last-child::after {
            border: 0 none;
        }

        .tree li:last-child::before,
        .intruders li:last-child::before {
            border-right: 1px solid #ccc;
            border-radius: 0 5px 0 0;
        }

        .tree li:first-child::after,
        .intruders li:first-child::after {
            border-radius: 5px 0 0 0;
        }

        .tree ul ul::before,
        .intruders ul ul::before {
            content: '';
            position: absolute;
            top: 0;
            left: 50%;
            border-left: 1px solid #ccc;
            width: 0;
            height: 1em;
        }

        .tree li a {
            border: 1px solid #ccc;
            padding: .5em .75em;
            text-decoration: none;
            display: inline-block;
            border-radius: 5px;
            color: #333;
            position: relative;
            top: 1px;
            transform: rotate(180deg);
        }

        .intruders li a {
            border: 1px solid #ccc;
            padding: .5em .75em;
            text-decoration: none;
            display: inline-block;
            border-radius: 5px;
            color: #333;
            position: relative;
            top: 1px;
        }
    </style>
</head>

<body>
<% include ../_loading %>
<div class="container-fluid content-row">
    <div class="row mt-2 mr-2">
      <span class="col-2">
          <% include ../_lang %>
      </span>
        <span class="col-1" id="date" class="ml-3"></span>
        <h4 class="col-6" id="infos_eleve"></h4>
        <div class="col-3 ml-auto">
            <a href="#"
               onclick="window.location.href='<%= back === 'valider' ? '/admin/valider' : '/admin/signalement' %>'"
               id="backBtn"
               class="btn btn-outline-danger"><%= __('global_back') %></a>
            <a href="/logout" class="btn btn-outline-warning"><%= __('global_logout') %></a>
        </div>
    </div>
    <main role="main">
        <div class="row">
            <div class="col-12">
                <div class="text-center">
                    <h1><%= exercice.exercice.name[lang] %></h1>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="text-center">
                    <p><%= __('game_4_infos') %></p>
                </div>
            </div>
        </div>
        <div id="tree"></div>
        <div id="intruders"></div>
        <div class="row mt-4">
            <div class="col-4"></div>
            <div class="col-2">Choisir le niveau de l'exercice</div>
            <input id="niveauExo" class="col-2 form-control form-control-lg" type="text" name="niveauExo" value="" placeholder="Niveau de l'exercice" required autofocus>
        </div>
        <div class="row mt-4">
            <div class="col-4"></div>
            <textarea id="descriptionExo" class="col-4 form-control form-control-lg" placeholder="Description"></textarea>
        </div>
        <div class="row mt-4">
            <div class="col-4"></div>
            <div class="col-2">Choisir une image de l'exercice</div>
            <input type="file" id="output" class="ml-2" name="" accept="image/png, image/jpeg" onchange="ui_parcours.previewImageValidation()">
        </div>
        <div class="row" style="text-align: center; margin-top: 20px">
            <div class="col-5"></div><img id="img_preview" class="col-3">
        </div>
        <div class="row" style="text-align: center">
            <div class="col-3"></div>
            <div class="col-2">
                <a class="btn btn-danger" href="javascript:alertDelete();"
                   role="button"><%= __('admin_valider_exercice_delete') %></a>
            </div>
            <div class="col-2">
                <a class="btn btn-secondary" href="#" id="returnBtn"
                   onclick="window.location.href='<%= back === 'valider' ? '/admin/valider' : '/admin/signalement' %>'"
                   role="button"><%= __('global_cancel') %></a>
            </div>
            <div class="col-2">
                <a class="btn btn-success" href="javascript:ui_modifier_exercice_4.saveAndExit();"
                   role="button"><%= __('admin_valider_exercice_save_and_validate') %></a>
            </div>
            <div class="col-3"></div>
        </div>
    </main>
</div>
<script src="/scripts/wrk/wrk.js"></script>
<script type="text/javascript" src="/scripts/ui/ui_parcours.js"></script>
<script type="text/javascript" src="/scripts/ui/validerExercice/ui_modifier_exercice_4.js"></script>
<script>

    var alertDelete = function () {
        Swal.fire({
            icon: 'warning',
            title: '<%= __('admin_valider_alert_title') %>',
            text: '<%= __('admin_valider_alert_text') %>',
            showCancelButton: true,
            confirmButtonColor: '#d33d33',
            cancelButtonColor: '#3085d6',
            confirmButtonText: "<%= __('admin_valider_alert_confirm') %>",
            cancelButtonText: '<%= __('admin_valider_alert_cancel') %>'
        }).then((result) => {
            if (result.value) {
                ui_modifier_exercice_4.delete(<%= id %>);
            }
        });
    };

    var exercice = <%- JSON.stringify(exercice.exercice) %>;

    var trad = {
        modifyCharacterTitle: '<%= __('game_4_modifyCharacterTitle') %>',
        cancel: '<%= __('game_4_cancel') %>',
        firstName: '<%= __('game_4_firstName') %>',
        lastName: '<%= __('game_4_lastName') %>',
        birthdate: '<%= __('game_4_birthdate') %>',
        deathdate: '<%= __('game_4_deathdate') %>',
        address: '<%= __('game_4_address') %>',
        mother: '<%= __('game_4_mother') %>',
        father: '<%= __('game_4_father') %>',
        child: '<%= __('game_4_child') %>',
        error: '<%= __('game_4_error') %>',
        informationsMissing: '<%= __('game_4_informationsMissing') %>',
        tooOldForMother: '<%= __('game_4_tooOldForMother') %>',
        tooOldForFather: '<%= __('game_4_tooOldForFather') %>',
        tooYoungForChild: '<%= __('game_4_tooYoungForChild') %>',
        intruders: '<%= __('game_4_intruders') %>'
    };

    var exId =  <%- id %>;

    var hasIntruder = <%- exercice.exercice.scenario.intrus.length > 0 %>;

    $(document).ready(function () {
        ui_modifier_exercice_4.buildTree();
    });
</script>
</body>
</html>